Robot Simulator of the Robotics Group for Self-Organization of Control: LPZViewer Class Reference

# LPZViewer Class Reference

Viewer holds a single view on to a single scene that supports the rendering of offscreen RRT (render to texture) cameras at any time (without sync). More...

`#include <lpzviewer.h>`

List of all members.

## Public Member Functions
| LPZViewer ()
| LPZViewer (osg::ArgumentParser &arguments)
| LPZViewer (const osgViewer::Viewer &viewer, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~LPZViewer ()
bool | needForOffScreenRendering ()
| is there a need to do an offscreen rendering?
virtual void | renderOffScreen ()
| call this function to render the off screen scene.
virtual void | setOffScreenData (osg::Group *offscreen)
| set the group that contains the offscreen scene (usually RTT cameras) If no group is set or the group is empty than nothing is done in renderOffscreen();
## Protected Member Functions
virtual void | offScreenRenderingTraversals ()
void | lpzviewerConstructorInit ()
## Protected Attributes
osg::Group * | offScreenGroup

## Detailed Description

Viewer holds a single view on to a single scene that supports the rendering of offscreen RRT (render to texture) cameras at any time (without sync).

## Constructor & Destructor Documentation

LPZViewer | ( |  | ) |

LPZViewer | ( | osg::ArgumentParser & | arguments | ) |

LPZViewer | ( | const osgViewer::Viewer & | viewer,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY` |
| ) |  |  |

~LPZViewer | ( |  | ) | `[virtual]`

## Member Function Documentation

void lpzviewerConstructorInit | ( |  | ) | `[protected]`

bool needForOffScreenRendering | ( |  | ) |

is there a need to do an offscreen rendering?

void offScreenRenderingTraversals | ( |  | ) | `[protected, virtual]`

void renderOffScreen | ( |  | ) | `[virtual]`

call this function to render the off screen scene.

If no off screen nodes are supplied than nothing is done

void setOffScreenData | ( | osg::Group * | offscreen | ) | `[virtual]`

set the group that contains the offscreen scene (usually RTT cameras) If no group is set or the group is empty than nothing is done in renderOffscreen();

## Member Data Documentation

osg::Group* offScreenGroup`[protected]`

The documentation for this class was generated from the following files:

- lpzviewer.h
- lpzviewer.cpp